List effective access
curl --request GET \
--url https://conduit.example.com/conduit.v1.ConduitService/ListEffectiveAccess \
--header 'Authorization: Bearer <token>' \
--header 'Connect-Protocol-Version: <connect-protocol-version>'const options = {
method: 'GET',
headers: {
'Connect-Protocol-Version': '<connect-protocol-version>',
Authorization: 'Bearer <token>'
}
};
fetch('https://conduit.example.com/conduit.v1.ConduitService/ListEffectiveAccess', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://conduit.example.com/conduit.v1.ConduitService/ListEffectiveAccess"
headers = {
"Connect-Protocol-Version": "<connect-protocol-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.get("https://conduit.example.com/conduit.v1.ConduitService/ListEffectiveAccess")
.header("Connect-Protocol-Version", "<connect-protocol-version>")
.header("Authorization", "Bearer <token>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://conduit.example.com/conduit.v1.ConduitService/ListEffectiveAccess"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Connect-Protocol-Version", "<connect-protocol-version>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"users": [
{
"userId": "<string>",
"access": {
"groupIds": [
"<string>"
],
"policyIds": [
"<string>"
],
"entries": [
{
"connectorId": "<string>",
"allTools": true,
"tools": [
"<string>"
]
}
],
"allowedEntries": [
{
"connectorId": "<string>",
"allTools": true,
"tools": [
"<string>"
]
}
],
"enabledEntries": [
{
"connectorId": "<string>",
"allTools": true,
"tools": [
"<string>"
]
}
],
"effectiveEntries": [
{
"connectorId": "<string>",
"allTools": true,
"tools": [
"<string>"
]
}
],
"enableDefaulted": true
}
}
],
"total": 123
}{
"code": "not_found",
"message": "<string>",
"details": [
{
"type": "<string>",
"value": "<string>",
"debug": {}
}
]
}List effective access
List resolved allow, enable, and effective access for workspace members
Requires the policies:read scope.
GET
/
conduit.v1.ConduitService
/
ListEffectiveAccess
List effective access
curl --request GET \
--url https://conduit.example.com/conduit.v1.ConduitService/ListEffectiveAccess \
--header 'Authorization: Bearer <token>' \
--header 'Connect-Protocol-Version: <connect-protocol-version>'const options = {
method: 'GET',
headers: {
'Connect-Protocol-Version': '<connect-protocol-version>',
Authorization: 'Bearer <token>'
}
};
fetch('https://conduit.example.com/conduit.v1.ConduitService/ListEffectiveAccess', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://conduit.example.com/conduit.v1.ConduitService/ListEffectiveAccess"
headers = {
"Connect-Protocol-Version": "<connect-protocol-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.get("https://conduit.example.com/conduit.v1.ConduitService/ListEffectiveAccess")
.header("Connect-Protocol-Version", "<connect-protocol-version>")
.header("Authorization", "Bearer <token>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://conduit.example.com/conduit.v1.ConduitService/ListEffectiveAccess"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Connect-Protocol-Version", "<connect-protocol-version>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"users": [
{
"userId": "<string>",
"access": {
"groupIds": [
"<string>"
],
"policyIds": [
"<string>"
],
"entries": [
{
"connectorId": "<string>",
"allTools": true,
"tools": [
"<string>"
]
}
],
"allowedEntries": [
{
"connectorId": "<string>",
"allTools": true,
"tools": [
"<string>"
]
}
],
"enabledEntries": [
{
"connectorId": "<string>",
"allTools": true,
"tools": [
"<string>"
]
}
],
"effectiveEntries": [
{
"connectorId": "<string>",
"allTools": true,
"tools": [
"<string>"
]
}
],
"enableDefaulted": true
}
}
],
"total": 123
}{
"code": "not_found",
"message": "<string>",
"details": [
{
"type": "<string>",
"value": "<string>",
"debug": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Define the version of the Connect protocol
Available options:
1 Define the timeout, in ms
Query Parameters
Define which encoding or 'Message-Codec' to use
Available options:
proto, json Specifies if the message query param is base64 encoded, which may be required for binary data
Which compression algorithm to use for this request
Available options:
identity, gzip, br Define the version of the Connect protocol
Available options:
v1 Was this page helpful?